/*
 * (c) Peter Mueller, 2008 - 2018
 *
 * All rights reserved. Reproduction, modification,
 * use or disclosure to third parties without express
 * authority is forbidden.
 */

/* Command line options: -U codegen.config -p SSC -l cx -o tl_sm tl_sm.xml   */
/* This file is generated from tl_sm.xml - do not edit manually  */
/* Generated on: Wed Dec 04 11:51:35 CET 2019 / version 4.01 */


#include <stdint.h>
#include <stdio.h>
#include <msp430.h>
#include "tl_sm_ext.h"
#include "tl_sm.h"
#include "../lib/timer.h"
#include "../lib/fifo.h"

void  tl_sm(TL_SM_INSTANCEDATA_T *instanceVar, TL_SM_EVENT_T msg){
	
	/*execute entry code of default state once to init machine */
	if(instanceVar->dummyEntry==1U){
		// dummy action code
		// dummy entry
		

		instanceVar->dummyEntry=0U;
	}


	switch (instanceVar->stateVar) {

		case Dummy:
		break; /* end of case Dummy  */

		default:
			/* Intentionally left blank */
		break;
	} /* end switch stateVar_root */
}

/* Implementation of the reset machine function */
void tl_smResetMachine(TL_SM_INSTANCEDATA_T *instanceVar){
	instanceVar->dummyEntry = 1U;
	instanceVar->stateVar = Dummy;
	
}

// Helper(s) to find out if the machine is in a certain state

uint8_t tl_smIsInDummy(TL_SM_INSTANCEDATA_T *instanceVar){
	return(((instanceVar->stateVar== Dummy)) ? (1U) : (0U));
}


// Helper to get id of innermost active state
TL_SM_STATES_T tl_smGetInnermostActiveState(TL_SM_INSTANCEDATA_T *instanceVar){
	if(tl_smIsInDummy(instanceVar)){
		return Dummy;
	}else{
		return __TL_SM_LAST_STATE__;
	}
}

